EDIT - feature request #7644

Add "continued" flag to (Verbatim)Timeperiod
08/09/2018 11:03 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.3

Severity: major

Description

... to indicate that a reference (usually a database) is continously edited and has no end date (yet).
E.g. Berendsohn(2018+)

We may also want to revert changes in #7643 once this ticket is fixed and released and data adapted.

Related issues:
Related to EDIT - feature request #7643: cdmlight export: for bibliographic s... Closed
Precedes (5 days) EDIT - feature request #7717: Implement "continued" in Time... Closed

Associated revisions

Revision 9e82319e - 09/04/2018 09:53 AM - Andreas Miiller

ref #7644 implement "continued" in TimePeriod, still missing for most of the formats in parser

Revision 0d330678 - 09/04/2018 10:22 AM - Andreas Miiller
ref #7644 some further fine tuning on setting CONTINUED/end date in TimePeriod and some cleanup

Revision 72b0e291 - 09/04/2018 01:49 PM - Andreas Miiller

fix #7644 fix failing test in parser and add "continued" parsing to all relevant patterns

Revision f710aa8b - 09/06/2018 03:01 PM - Andreas Miiller
ref #7644 handle continued in getYear()

Revision ca542a03 - 09/06/2018 03:50 PM - Andreas Miiller
ref #7644 fix getYear() in test

History

#1 - 08/09/2018 11:07 AM - Andreas Miiller

- Related to feature request #7643: cdmlight export: for bibliographic short citation use the freetext of the date as default added

#2 - 08/20/2018 01:18 PM - Andreas Miiller

- Description updated

#3 - 09/04/2018 09:52 AM - Andreas Miiller
- % Done changed from 0 to 30
We may not need a model change for this.

Instead we use a defined constant end date 9999-12-30 witch stands for "continued".
This way we do not need a separate column.

Implemented so far. Still need to adapt parser (currently only parsing of dd.mm.yyyy is supported for testing).

#4 - 09/04/2018 09:52 AM - Andreas Miiller

- Category changed from cdm to cdmlib
- Target version changed from CDM UML 5.5 to Release 5.3

#5 - 09/04/2018 09:55 AM - Andreas Miiller

- Precedes feature request #7717: Implement "continued" in TimePeriod Ul added

#6 - 09/04/2018 01:49 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 30 to 50

Applied in changeset cdmlib|72b0e291fb98b3dcab357b7b5f0160bb8818a000.

#7 - 09/05/2018 09:22 AM - Andreas Mdiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

Can you please review? (Katja can you maybe also shortly review?)

#8 - 09/05/2018 12:24 PM - Katja Luther

if the continued flag is set and then setContinued(false) is called, this.end should be set to null

#9 - 09/05/2018 12:35 PM - Andreas Miller

Katja Luther wrote:

if the continued flag is set and then setContinued(false) is called, this.end should be set to null

As discussed by mail, this already has been solved in revision 72b0e291

#10 - 09/06/2018 11:17 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#11 - 09/06/2018 11:53 AM - Andreas Miuiller

- Target version changed from Release 5.4 to Release 5.3

Why has this been moved? It was for review.

#12 - 09/17/2018 01:23 PM - Andreas Kohlbecker
- % Done changed from 50 to 70

The code changes look ok.

#13 - 09/17/2018 01:50 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 70 to 100
